Bug 224083 - lang/ghc: Various pkg checksum mismatch issues in ghc-8.0.2_2
Summary: lang/ghc: Various pkg checksum mismatch issues in ghc-8.0.2_2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: amd64 Any
: --- Affects Only Me
Assignee: freebsd-haskell mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-12-04 15:44 UTC by martin
Modified: 2019-05-28 15:54 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (haskell)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description martin 2017-12-04 15:44:58 UTC
I have ghc-8.0.2_2 installed from the quarterly packages build. Running "pkg check -s -g ghc" gives the following:

Checking ghc:   0%
ghc-8.0.2_2: checksum mismatch for /usr/local/bin/haddock
ghc-8.0.2_2: checksum mismatch for /usr/local/lib/ghc-8.0.2/package.conf.d/package.cache
ghc-8.0.2_2: checksum mismatch for /usr/local/share/doc/ghc-8.0.2/html/libraries/doc-index-124.html
ghc-8.0.2_2: checksum mismatch for /usr/local/share/doc/ghc-8.0.2/html/libraries/doc-index-126.html
ghc-8.0.2_2: checksum mismatch for /usr/local/share/doc/ghc-8.0.2/html/libraries/doc-index-33.html
ghc-8.0.2_2: checksum mismatch for /usr/local/share/doc/ghc-8.0.2/html/libraries/doc-index-36.html
ghc-8.0.2_2: checksum mismatch for /usr/local/share/doc/ghc-8.0.2/html/libraries/doc-index-37.html
ghc-8.0.2_2: checksum mismatch for /usr/local/share/doc/ghc-8.0.2/html/libraries/doc-index-38.html
ghc-8.0.2_2: checksum mismatch for /usr/local/share/doc/ghc-8.0.2/html/libraries/doc-index-42.html
ghc-8.0.2_2: checksum mismatch for /usr/local/share/doc/ghc-8.0.2/html/libraries/doc-index-43.html
ghc-8.0.2_2: checksum mismatch for /usr/local/share/doc/ghc-8.0.2/html/libraries/doc-index-45.html
ghc-8.0.2_2: checksum mismatch for /usr/local/share/doc/ghc-8.0.2/html/libraries/doc-index-46.html
ghc-8.0.2_2: checksum mismatch for /usr/local/share/doc/ghc-8.0.2/html/libraries/doc-index-47.html
ghc-8.0.2_2: checksum mismatch for /usr/local/share/doc/ghc-8.0.2/html/libraries/doc-index-58.html
ghc-8.0.2_2: checksum mismatch for /usr/local/share/doc/ghc-8.0.2/html/libraries/doc-index-60.html
ghc-8.0.2_2: checksum mismatch for /usr/local/share/doc/ghc-8.0.2/html/libraries/doc-index-61.html
ghc-8.0.2_2: checksum mismatch for /usr/local/share/doc/ghc-8.0.2/html/libraries/doc-index-62.html
ghc-8.0.2_2: checksum mismatch for /usr/local/share/doc/ghc-8.0.2/html/libraries/doc-index-92.html
ghc-8.0.2_2: checksum mismatch for /usr/local/share/doc/ghc-8.0.2/html/libraries/doc-index-94.html
ghc-8.0.2_2: checksum mismatch for /usr/local/share/doc/ghc-8.0.2/html/libraries/doc-index-A.html
ghc-8.0.2_2: checksum mismatch for /usr/local/share/doc/ghc-8.0.2/html/libraries/doc-index-All.html
ghc-8.0.2_2: checksum mismatch for /usr/local/share/doc/ghc-8.0.2/html/libraries/doc-index-B.html
ghc-8.0.2_2: checksum mismatch for /usr/local/share/doc/ghc-8.0.2/html/libraries/doc-index-C.html
ghc-8.0.2_2: checksum mismatch for /usr/local/share/doc/ghc-8.0.2/html/libraries/doc-index-D.html
ghc-8.0.2_2: checksum mismatch for /usr/local/share/doc/ghc-8.0.2/html/libraries/doc-index-E.html
ghc-8.0.2_2: checksum mismatch for /usr/local/share/doc/ghc-8.0.2/html/libraries/doc-index-F.html
ghc-8.0.2_2: checksum mismatch for /usr/local/share/doc/ghc-8.0.2/html/libraries/doc-index-G.html
ghc-8.0.2_2: checksum mismatch for /usr/local/share/doc/ghc-8.0.2/html/libraries/doc-index-H.html
ghc-8.0.2_2: checksum mismatch for /usr/local/share/doc/ghc-8.0.2/html/libraries/doc-index-I.html
ghc-8.0.2_2: checksum mismatch for /usr/local/share/doc/ghc-8.0.2/html/libraries/doc-index-J.html
ghc-8.0.2_2: checksum mismatch for /usr/local/share/doc/ghc-8.0.2/html/libraries/doc-index-K.html
ghc-8.0.2_2: checksum mismatch for /usr/local/share/doc/ghc-8.0.2/html/libraries/doc-index-L.html
ghc-8.0.2_2: checksum mismatch for /usr/local/share/doc/ghc-8.0.2/html/libraries/doc-index-M.html
ghc-8.0.2_2: checksum mismatch for /usr/local/share/doc/ghc-8.0.2/html/libraries/doc-index-N.html
ghc-8.0.2_2: checksum mismatch for /usr/local/share/doc/ghc-8.0.2/html/libraries/doc-index-O.html
ghc-8.0.2_2: checksum mismatch for /usr/local/share/doc/ghc-8.0.2/html/libraries/doc-index-P.html
ghc-8.0.2_2: checksum mismatch for /usr/local/share/doc/ghc-8.0.2/html/libraries/doc-index-Q.html
ghc-8.0.2_2: checksum mismatch for /usr/local/share/doc/ghc-8.0.2/html/libraries/doc-index-R.html
ghc-8.0.2_2: checksum mismatch for /usr/local/share/doc/ghc-8.0.2/html/libraries/doc-index-S.html
ghc-8.0.2_2: checksum mismatch for /usr/local/share/doc/ghc-8.0.2/html/libraries/doc-index-T.html
ghc-8.0.2_2: checksum mismatch for /usr/local/share/doc/ghc-8.0.2/html/libraries/doc-index-U.html
ghc-8.0.2_2: checksum mismatch for /usr/local/share/doc/ghc-8.0.2/html/libraries/doc-index-V.html
ghc-8.0.2_2: checksum mismatch for /usr/local/share/doc/ghc-8.0.2/html/libraries/doc-index-W.html
ghc-8.0.2_2: checksum mismatch for /usr/local/share/doc/ghc-8.0.2/html/libraries/doc-index-X.html
ghc-8.0.2_2: checksum mismatch for /usr/local/share/doc/ghc-8.0.2/html/libraries/doc-index-Y.html
ghc-8.0.2_2: checksum mismatch for /usr/local/share/doc/ghc-8.0.2/html/libraries/doc-index-Z.html
ghc-8.0.2_2: checksum mismatch for /usr/local/share/doc/ghc-8.0.2/html/libraries/doc-index.html
ghc-8.0.2_2: checksum mismatch for /usr/local/share/doc/ghc-8.0.2/html/libraries/index.html
Checking ghc: 100%
Comment 1 Gleb Popov freebsd_committer 2017-12-04 17:42:03 UTC
This is expected for all doc files and package.cache file - these get updated whenever any hs-* package is installed.

Not sure about haddock executable, though.
Comment 2 martin 2017-12-05 14:35:01 UTC
Perhaps the files should be removed from the package itself (and managed entirely by the post-install/post-deinstall)?

It looks like haddock is also both symlinked in the post-install and listed in the  package, so that it probably the same issue.

The issue arises because the latest version of pkg has security_status_pkgchecksum_enable=YES by default (/usr/local/etc/periodic/security/460.pkg-checksum), so it now warns about these checksums every night.
Comment 3 commit-hook freebsd_committer 2019-05-28 15:53:19 UTC
A commit references this bug:

Author: arrowd
Date: Tue May 28 15:53:09 UTC 2019
New revision: 502898
URL: https://svnweb.freebsd.org/changeset/ports/502898

Log:
  Merge lang/ghcXXX ports into lang/ghc.
  Remove OPTIONS support from library Haskell ports.
  Do not install documentation by library Haskell ports.
  Remove deprecation notice from library ports, that still needed.

  PR:		224083
  Approved by:	tcberner (mentor)
  Differential Revision:	https://reviews.freebsd.org/D20247

Changes:
  head/MOVED
  head/devel/hs-data-default/Makefile
  head/devel/hs-data-default-class/Makefile
  head/devel/hs-data-default-instances-base/Makefile
  head/devel/hs-data-default-instances-containers/Makefile
  head/devel/hs-data-default-instances-dlist/Makefile
  head/devel/hs-data-default-instances-old-locale/Makefile
  head/devel/hs-dlist/Makefile
  head/devel/hs-extensible-exceptions/Makefile
  head/devel/hs-haddock/Makefile
  head/devel/hs-hashable/Makefile
  head/devel/hs-mtl/Makefile
  head/devel/hs-old-locale/Makefile
  head/devel/hs-old-time/Makefile
  head/devel/hs-random/Makefile
  head/devel/hs-setlocale/Makefile
  head/devel/hs-transformers-compat/Makefile
  head/devel/hs-unordered-containers/Makefile
  head/devel/hs-utf8-string/Makefile
  head/lang/Makefile
  head/lang/ghc/Makefile
  head/lang/ghc/bsd.cabal.mk
  head/lang/ghc/bsd.cabal.options.mk
  head/lang/ghc/bsd.ghc.mk
  head/lang/ghc/distinfo
  head/lang/ghc/files843/
  head/lang/ghc/files843/build.mk.in
  head/lang/ghc/files843/extra-patch-aclocal.m4
  head/lang/ghc/files843/patch-configure
  head/lang/ghc/files843/patch-configure.ac
  head/lang/ghc/files843/patch-ghc.mk
  head/lang/ghc/files843/patch-libraries__Cabal__Cabal__Distribution__Simple__Program__Builtin.hs
  head/lang/ghc/files843/patch-llvm-targets
  head/lang/ghc/files843/wrap.c
  head/lang/ghc/files844/
  head/lang/ghc/files844/build.mk.in
  head/lang/ghc/files844/extra-patch-aclocal.m4
  head/lang/ghc/files844/patch-configure
  head/lang/ghc/files844/patch-configure.ac
  head/lang/ghc/files844/patch-fix-build-on-arm
  head/lang/ghc/files844/patch-ghc.mk
  head/lang/ghc/files844/patch-libraries__Cabal__Cabal__Distribution__Simple__Program__Builtin.hs
  head/lang/ghc/files844/patch-llvm-targets
  head/lang/ghc/files844/patch-rts_posix_OSMem.c
  head/lang/ghc/files844/wrap.c
  head/lang/ghc/files862/
  head/lang/ghc/files862/build.mk.in
  head/lang/ghc/files862/extra-patch-aclocal.m4
  head/lang/ghc/files862/patch-configure.ac
  head/lang/ghc/files862/patch-ghc.mk
  head/lang/ghc/files862/patch-libraries__Cabal__Cabal__Distribution__Simple__Program__Builtin.hs
  head/lang/ghc/files862/patch-ppc64
  head/lang/ghc/files862/wrap.c
  head/lang/ghc/pkg-plist
  head/lang/ghc843/
  head/lang/ghc844/
  head/lang/ghc862/
  head/math/hs-semigroups/Makefile
  head/net/hs-network/Makefile
  head/x11/hs-X11/Makefile
  head/x11/hs-X11-xft/Makefile
  head/x11-wm/hs-xmonad/Makefile
  head/x11-wm/hs-xmonad-contrib/Makefile